/*
 *  CapusbCommand.h
 *  recfx2
 *
 *  Created by novi on 平成 20/04/22.
 *  Copyright 2008 __MyCompanyName__. All rights reserved.
 *
 */

enum CFX2_COMMAND {
	CMD_EP6IN_START = 0x50,	//
	CMD_EP6IN_STOP,         //
	CMD_EP2OUT_START,       //
	CMD_EP2OUT_STOP,        //
	CMD_PORT_CFG,           // addr_mask, out_pins
	CMD_REG_READ,           // addr	(return 1byte)
	CMD_REG_WRITE,          // addr, value
	CMD_PORT_READ,          // (return 1byte)
	CMD_PORT_WRITE,         // value
	CMD_IFCONFIG,           // value
	CMD_MODE_IDLE,
	CMD_EP4IN_START,        //
	CMD_EP4IN_STOP,         //
	CMD_IR_CODE,            // val_l, val_h
	CMD_IR_WBUF,			// ofs, len, data, ....
	CMD_IR_RBUF,			// ofs (return 64byte)
	
	CMD_TSBCAS_INIT = 0x70,	// Initialize
	CMD_TSBCAS_START,
	CMD_TSBCAS_END,
	CMD_TSBCAS_DEBUGEND,
	CMD_TSBCAS_MONREG,
	CMD_TSBCAS_REGR,
	CMD_TSBCAS_REGW,
	CMD_TSBCAS_WEP4BCL
};

enum IR_COMMAND{
	IR_CMD_CHANNEL_10   = 0x0480,
	IR_CMD_CHANNEL_01,    
	IR_CMD_CHANNEL_02,
	IR_CMD_CHANNEL_03,
	IR_CMD_CHANNEL_04,
	IR_CMD_CHANNEL_05,
	IR_CMD_CHANNEL_06,
	IR_CMD_CHANNEL_07,
	IR_CMD_CHANNEL_08,
	IR_CMD_CHANNEL_09,
	
	IR_CMD_CURSOR_UP    = 0x0491,
	IR_CMD_CURSOR_DOWN,
	IR_CMD_CURSOR_LEFT,
	IR_CMD_CURSOR_RIGHT,
	IR_CMD_BUTTON_ENTER,
	IR_CMD_BUTTON_BACK,
	
	IR_CMD_AUDIO_SELECT = 0x049D,
	
	IR_CMD_ZOOM         = 0x049F,
	
	IR_CMD_CHANNEL_11   = 0x04D1,
	IR_CMD_CHANNEL_12,
	
	IR_CMD_POWER_ON     = 0x048B,
	IR_CMD_POWER_OFF,
	
	IR_CMD_3DIGIT_INPUT = 0x04D8,
	
	IR_CMD_SELECT_DT    = 0x04E1,
	IR_CMD_SELECT_BS,
	IR_CMD_SELECT_CS
};


